# DataExchange
TKSTEP
StepAP214

# StepAP214_AppliedGroupAssignment Class Reference

Representation of STEP entity AppliedGroupAssignment
.

`#include <StepAP214_AppliedGroupAssignment.hxx>`

Inheritance diagram for StepAP214_AppliedGroupAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AppliedGroupAssignment ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepBasic_Group)&aGroupAssignment_AssignedGroup, const Handle(StepAP214_HArray1OfGroupItem)&aItems)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepAP214_HArray1OfGroupItem | Items () const
| Returns field Items .
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfGroupItem)&Items)
| Set field Items .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfGroupItem | theItems

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AppliedGroupAssignment::StepAP214_AppliedGroupAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AppliedGroupAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_GroupAssignment.

Standard_EXPORT void StepAP214_AppliedGroupAssignment::Init | ( | const Handle(StepBasic_Group)& | aGroupAssignment_AssignedGroup,
|  | const Handle(StepAP214_HArray1OfGroupItem)& | aItems
| ) |

Standard_EXPORT Handle_StepAP214_HArray1OfGroupItem StepAP214_AppliedGroupAssignment::Items | ( |  | ) | const

Standard_EXPORT void StepAP214_AppliedGroupAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfGroupItem)& | Items | ) |

## Field Documentation

Handle_StepAP214_HArray1OfGroupItem StepAP214_AppliedGroupAssignment::theItems `[private]`

The documentation for this class was generated from the following file:

- StepAP214_AppliedGroupAssignment.hxx